package com.prolog.cs.biz.inbound.vo;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

public class RqcHQueryVO implements Serializable {

	private static final long serialVersionUID = 8376441611869146513L;

//	@ApiModelProperty(value = "质检单主键id")
//	private String rqcHeaderId;

	@ApiModelProperty(value = "自动单号")
	private String autoBillNum;

	@ApiModelProperty(value = "手工单号(模糊)")
	private String customBillNum;

	@ApiModelProperty(value = "工作台")
	private String workBench;

	@ApiModelProperty(value = "状态")
	private String status;

	@ApiModelProperty(value = "数据生成类型")
	private String dataSrcType;

	@ApiModelProperty(value = "包含主键id列表(逗号分隔)")
	private List<String> incloudHids;

	@ApiModelProperty(value = "排除主键id列表(逗号分隔)")
	private List<String> excludeHids;

	@ApiModelProperty(value = "货主id")
	private String mtlOwnerId;

	@ApiModelProperty(value = "仓库id")
	private String warehouseId;

	@ApiModelProperty(value = "收货单主键id(查询单条时使用)")
	private String rcvHeaderId;

	@ApiModelProperty(value = "企业id")
	private String enterpriseId;

	@ApiModelProperty(value = "(*)收货单号", position = -1)
	private String rcvNo;
	// 单据编号
	@ApiModelProperty(value = "(*)单据编号", position = -1)
	private String billNo;
	// 商品助记码
	@ApiModelProperty(value = "(*)商品助记码", position = -1)
	private String itemZjm;
	// 商品编码
	@ApiModelProperty(value = "(*)商品助记码", position = -1)
	private String itemCode;

	@ApiModelProperty(value = "批号")
	private String manufacturerLotNum;

	@ApiModelProperty(value = "是否双人验收")
	private String isDoubleHealth;
	// 单位助记码
	@ApiModelProperty(value = "(*)单位助记码(客户/供应商/其他仓(oms下发))", position = -1)
	private String shipperZjm;

	@ApiModelProperty(value = "(*)开始时间", position = -1)
	private Date startTime;

	@ApiModelProperty(value = "(*)结束时间", position = -1)
	private Date endTime;

	@ApiModelProperty(value = "打印状态0：未打印 1：已打印", position = -1)
	private String printStatus;

	public String getRcvNo() {
		return rcvNo;
	}

	public void setRcvNo(String rcvNo) {
		this.rcvNo = rcvNo;
	}

	public String getBillNo() {
		return billNo;
	}

	public void setBillNo(String billNo) {
		this.billNo = billNo;
	}

	public String getItemZjm() {
		return itemZjm;
	}

	public void setItemZjm(String itemZjm) {
		this.itemZjm = itemZjm;
	}

	public String getShipperZjm() {
		return shipperZjm;
	}

	public void setShipperZjm(String shipperZjm) {
		this.shipperZjm = shipperZjm;
	}

	public Date getStartTime() {
		return startTime;
	}

	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}

	public Date getEndTime() {
		return endTime;
	}

	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}

	public String getAutoBillNum() {
		return autoBillNum;
	}

	public void setAutoBillNum(String autoBillNum) {
		this.autoBillNum = autoBillNum;
	}

	public String getCustomBillNum() {
		return customBillNum;
	}

	public void setCustomBillNum(String customBillNum) {
		this.customBillNum = customBillNum;
	}

	public String getWorkBench() {
		return workBench;
	}

	public void setWorkBench(String workBench) {
		this.workBench = workBench;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getDataSrcType() {
		return dataSrcType;
	}

	public void setDataSrcType(String dataSrcType) {
		this.dataSrcType = dataSrcType;
	}

	public List<String> getIncloudHids() {
		return incloudHids;
	}

	public void setIncloudHids(List<String> incloudHids) {
		this.incloudHids = incloudHids;
	}

	public List<String> getExcludeHids() {
		return excludeHids;
	}

	public void setExcludeHids(List<String> excludeHids) {
		this.excludeHids = excludeHids;
	}

	public String getMtlOwnerId() {
		return mtlOwnerId;
	}

	public void setMtlOwnerId(String mtlOwnerId) {
		this.mtlOwnerId = mtlOwnerId;
	}

	public String getWarehouseId() {
		return warehouseId;
	}

	public void setWarehouseId(String warehouseId) {
		this.warehouseId = warehouseId;
	}

	public String getRcvHeaderId() {
		return rcvHeaderId;
	}

	public void setRcvHeaderId(String rcvHeaderId) {
		this.rcvHeaderId = rcvHeaderId;
	}

	public String getEnterpriseId() {
		return enterpriseId;
	}

	public void setEnterpriseId(String enterpriseId) {
		this.enterpriseId = enterpriseId;
	}

	public String getItemCode() {
		return itemCode;
	}

	public void setItemCode(String itemCode) {
		this.itemCode = itemCode;
	}

	public String getManufacturerLotNum() {
		return manufacturerLotNum;
	}

	public void setManufacturerLotNum(String manufacturerLotNum) {
		this.manufacturerLotNum = manufacturerLotNum;
	}

	public String getIsDoubleHealth() {
		return isDoubleHealth;
	}

	public void setIsDoubleHealth(String isDoubleHealth) {
		this.isDoubleHealth = isDoubleHealth;
	}

	public String getPrintStatus() {
		return printStatus;
	}

	public void setPrintStatus(String printStatus) {
		this.printStatus = printStatus;
	}
}
